package org.springblade.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springblade.core.tool.api.IResultCode;

/**
 * @author: lianghanqiang
 * @description: 响应状态枚举
 * @since: 7/29/21 -- 2:30 PM
 */
@Getter
@AllArgsConstructor
public enum ResCode implements IResultCode {

	/*  支付模块  */
	PAY_FAIL(501,"支付异常"),
	PAY_TYPE_ERROR(501,"支付方式错误"),
	PAY_SCENE_ERROR(501,"支付场景错误"),
	TRADE_ERROR(501,"交易异常"),
	TRADE_TIME_OUT(501,"订单超时"),
	INIT_ORDER_FAIL(501,"初始化订单失败"),
	CHANNEL_NOT_FOUND(501,"积分渠道查找失败！"),
	USER_PAY_CALLBACK_ERROR(501,"用户支付回调异常"),
	SEND_POINT_ERROR(501,"赠送积分异常"),
	GOODS_BILLS_ERROR(501,"商品订单异常"),



	/*	动态密码	*/
	ID_NOT_NULL(502,"ID串不能为空"),
	SECRET_VALIDATE_ERROR(502,"授权码校验失败"),


	/*	加密，解密模块	*/
	ENCODE_FAIL(503,"加密失败"),
	DECODE_FAIL(503,"解密失败"),

	/*  短信 */
	SEND_ERROR(504,"短信发送失败"),
	VALIDATE_FAIL(504,"验证码校验失败！"),

	/*  通用   */
	FAIL(505,"系统异常！"),
	PARAMETER_ERROR(505,"参数异常！"),
	REQUEST_TIMEOUT(505,"请求时间异常！"),

	INVALID_SIGNATURE(413,"无效签名！"),


	/*	系统模块 */
	SYSTEM_ERROR_REDIS(506,"Redis 配置异常！"),


	/*	用户	*/
	USER_LOGIN_FAIL(507,"登录失败！"),
	USER_PWS_ERROR(507,"密码或用户名错误！"),
	SHOP_REGISTER_ERROR(507,"商场或商家账号注册异常！"),
	USER_NOT_FOUNT(507,"用户不存在");


	int code;
	String message;

}
